stages:
 - test

image: python:latest

style_test:
 stage: test
 script:
  - pip install pycodestyle
  - pycodestyle --first math_lib.py
  
math_test:
 stage: test
 script:
  - python tests.py

pages:
 script: 
 - pip install sphinx
 - export PYTHONPATH=$PYTHONPATH:`pwd`
 - make html
 - mv _build/html public
 artifacts:
  paths:
   - public
